﻿@model IEnumerable<HDY_20113_Jinatchapak.Models.Category>

@{
    ViewBag.Title = "Index";
}

<h2 align="center">ประเภทสินค้า</h2>

@*Html.ActionLink("เพิ่ม", "Create")*@
<a href="/Categories/Create" class="btn btn-outline-dark float-right" style="margin-bottom:20px;">เพิ่ม</a>
<table class="table table-responsive">
    <thead class="thead-dark">
        <tr>
            <th scope="col">
                @Html.DisplayNameFor(model => model.CategoryName)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.ActiveFlag)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.CreatedBy)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.CreatedDate)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.UpdatedBy)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.UpdatedDate)
            </th>
            <th scope="col"></th>
        </tr>
    </thead>

<tbody>

    @foreach (var item in Model)
    {

        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.CategoryName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ActiveFlag)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedBy)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.UpdatedBy)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.UpdatedDate)
            </td>
            <td>
             
                    <a href="/Categories/Edit/@item.CategoryId" class="btn btn-outline-warning">แก้ไข</a>
                    <a href="/Categories/Details/@item.CategoryId" class="btn btn-outline-info">รายละเอียด</a>
                    <a href="/Categories/Delete/@item.CategoryId" class="btn btn-outline-danger">ลบ</a>
       
              
                @*Html.ActionLink("เพิ่ม", "Edit",  , htmlAttributes: new { @class = "btn btn-outline-dark", id = item.CategoryId })*@
                @*Html.ActionLink("รายละเอียด", "Details", new { @class = "btn btn-outline-info", id = item.CategoryId })*@ 
                @*Html.ActionLink("ลบ", "Delete", new { @class = "btn btn-outline-danger", id = item.CategoryId })*@
            </td>
                </tr>
            }

        </tbody>
        </table>
